# Get Widget Schedule List

{% hint style="warning" %}
All API requests should contain [authorization headers](https://developers.socialboards.com/docs/apis/tickets/authorization-headers).
{% endhint %}

#### Request

```
GET /widgets/{widgetId}/schedule
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>widgetId</td><td>integer</td><td>yes</td><td>Id of widget you want schedule to</td></tr></tbody></table>

#### Response

```json
{
	"communityId": 15,
	"customTimes": {
		"monday": [
			{
				"startAt": "00:01:00",
				"endAt": "18:00:00"
			}
		],
		"tuesday": [
			{
				"startAt": "00:01:00",
				"endAt": "18:00:00"
			}
		],
		"wednesday": [
			{
				"startAt": "00:01:00",
				"endAt": "18:00:00"
			}
		],
		"thursday": [
			{
				"startAt": "00:01:00",
				"endAt": "18:00:00"
			}
		],
		"friday": [
			{
				"startAt": "00:01:00",
				"endAt": "18:00:00"
			}
		],
		"saturday": [
			{
				"startAt": "18:30:00",
				"endAt": "19:00:00"
			}
		],
		"sunday": [
			{
				"startAt": "18:30:00",
				"endAt": "19:00:00"
			}
		]
	},
	"timePeriod": 3,
	"widgetId": 706
}
```

Response field will contain [Widget Schedule](https://developers.socialboards.com/docs/apis/tickets/reference/objects/widget-schedule) objects.
